# Add Shared library with suffix by respect to the program version set with the phoenix_base_project function
# 	targetName : name of the library target to be created
# 	ARGN : list of dependencies
# PHOENIX_BUILD_TYPE STREQUAL "StaticOnly" build al the project in static mode
# PHOENIX_BUILD_TYPE STREQUAL "DynamicAndStatic" build all the project in with dynamic and static libraries
function(phoenix_add_library targetName)
	if(PHOENIX_BUILD_TYPE STREQUAL "StaticOnly")
		add_library(${targetName} STATIC ${ARGN})
	else()
		add_library(${targetName} SHARED ${ARGN})

		string(REPLACE "." ";" PROGRAM_VERSION_LIST ${PROGRAM_VERSION})
		list(GET PROGRAM_VERSION_LIST 0 PROGRAM_VERSION_SO)
		set_target_properties(${targetName} PROPERTIES
			VERSION "${PROGRAM_VERSION}"
			SOVERSION "${PROGRAM_VERSION_SO}")
		if(PHOENIX_BUILD_TYPE STREQUAL "DynamicAndStatic")
			add_library(${targetName}_static STATIC ${ARGN})
			set_target_properties(${targetName}_static PROPERTIES OUTPUT_NAME ${targetName})
			install(TARGETS ${targetName}_static LIBRARY DESTINATION ${LIBRARY_DIRECTORY} ARCHIVE DESTINATION ${LIBRARY_DIRECTORY})
		endif()
	endif()
endfunction(phoenix_add_library)



